Skip to content

DNS Load Balancer Pool Members Health Status List.

GET
/api/data/namespaces/{namespace}/dns_load_balancers/pool_members_health_status
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_load_balancers/pool_members_health_status \
--header 'Authorization: <Authorization>'

GET Health Status of all DNS Load Balancer Pool Members in a namespace.

Examples of this operation.

namespace
required
string

Namespace Namespace to scope the listing of DNS LB health status.

A successful response.

Media typeapplication/json
DNSLBPoolMemberHealthStatusListResponse

Response for DNS Load Balancer Pool Member Health Status List Request.

object
items
Items

Collection of DNS Load Balancer Pool Member Health Status.

Array<object>
DNSLBPoolMemberHealthStatusListResponseItem

Individual item in a collection of DNS Load Balancer Pool Member.

object
dns_lb_name
DNS Load Balancer Name

Name of the DNS Load Balancer containing the Pool Member.

string
<= 1024 characters
dns_lb_pool_name
DNS Load Balancer Pool Name

Name of the DNS Load Balancer Pool.

string
<= 1024 characters
error_code
string
default: ERR_NIL
Allowed values: ERR_NIL ERR_UNDEFINED ERR_RECEIVE_STRING_MISMATCH ERR_INTERNAL ERR_MSG_SEND ERR_TIMEOUT ERR_MSG_RECEIVE ERR_MAX_RECEIVE_BYTES ERR_ICMP_PING ERR_CONNECTION_REFUSED ERR_CONNECTION_ABORTED ERR_CONNECTION_RESET ERR_NET_UN_REACHABLE ERR_HOST_UN_REACHABLE ERR_UNKNOWN ERR_TLS_HANDSHAKE_FAILURE ERR_CONNECTION_TIMEDOUT
error_description
Error Description

Error Description of DNS Load Balancer Pool Member health check failure.

string
<= 1024 characters
health_check_type
Health Check Type

Health Check Type associated with the Pool Member.

string
<= 1024 characters
http_status_code
string
default: EmptyStatusCode
Allowed values: EmptyStatusCode Continue OK Created Accepted NonAuthoritativeInformation NoContent ResetContent PartialContent MultiStatus AlreadyReported IMUsed MultipleChoices MovedPermanently Found SeeOther NotModified UseProxy TemporaryRedirect PermanentRedirect BadRequest Unauthorized PaymentRequired Forbidden NotFound MethodNotAllowed NotAcceptable ProxyAuthenticationRequired RequestTimeout Conflict Gone LengthRequired PreconditionFailed PayloadTooLarge URITooLong UnsupportedMediaType RangeNotSatisfiable ExpectationFailed MisdirectedRequest UnprocessableEntity Locked FailedDependency UpgradeRequired PreconditionRequired TooManyRequests RequestHeaderFieldsTooLarge InternalServerError NotImplemented BadGateway ServiceUnavailable GatewayTimeout HTTPVersionNotSupported VariantAlsoNegotiates InsufficientStorage LoopDetected NotExtended NetworkAuthenticationRequired
name
Name

Name of the DNS Load Balancer Pool Member.

string
>= 6 characters <= 1024 characters
ports
Port Number

Ports targeted for health check of the endpoint.

Array<integer>
<= 2 items
status
Status

Health Status of DNS Load Balancer Pool Member.

Array<object>
>= 17 characters <= 17 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
unhealthy_ports
Unhealthy Ports

Ports which were either unreachable or failed health checks.

Array<integer>
<= 2 items
Example
{
"items": [
{
"error_code": "ERR_NIL",
"http_status_code": "EmptyStatusCode",
"status": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example